# Class StringDiff

java.lang.Object
org.snpeff.align.StringDiff

public class StringDiff extends Object

## Constructor Summary

Constructors
Constructor
Description
`StringDiff(String s1, String s2)`
`StringDiff(String s1, String name1, String s2, String name2)`

## Method Summary

Modifier and Type
Method
Description
`int`
`count()`
Count number of differences between strings
`String`
`diffString()`
Create a string that shows the difference between two strings
`double`
`error()`
Error ratio (number of mismatches divided by string length
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringDiff

public StringDiff(String s1, String s2)

### StringDiff

public StringDiff(String s1, String name1, String s2, String name2)

## Method Details

### count

public int count()
Count number of differences between strings

### diffString

public String diffString()
Create a string that shows the difference between two strings

### error

public double error()
Error ratio (number of mismatches divided by string length

### toString

public String toString()

Overrides:
  `toString` in class `Object`